<?php

namespace StylesFactory\XPNodes;

use XF\AddOn\AbstractSetup;
use XF\Db\Schema\Alter;

class Setup extends AbstractSetup
{
    public function install(array $stepParams = [])
    {
        $sm = $this->schemaManager();

        $sm->alterTable('xf_node', function(Alter $table)
        {
            $table->addColumn('dwa', 'text')->nullable()->setDefault('NULL');
		    $table->addColumn('verti_back', 'varchar', 250)->nullable();	
        });
    }

    public function upgrade(array $stepParams = [])
    {
        $sm = $this->schemaManager();

        $sm->alterTable('xf_node', function(Alter $table)
        {
		    $table->addColumn('verti_back', 'varchar', 250)->nullable();	
        });		
    }

    public function uninstall(array $stepParams = [])
    {
        $sm = $this->schemaManager();

        $sm->alterTable('xf_node', function(Alter $table)
        {
            $table->dropColumns(array('dwa'));
		    $table->dropColumns(array('verti_back'));	
        });
    }
}